org.eclipse.emf.cdo.security.impl

## Class ResourceFilterImpl.PathMatcher

- java.lang.Object
- - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

- All Implemented Interfaces:
    ResourceFilterImpl.Matcher
  Direct Known Subclasses:
    ResourceFilterImpl.AntMatcher, ResourceFilterImpl.ExactMatcher, ResourceFilterImpl.TreeMatcher
  Enclosing class:
    ResourceFilterImpl

      protected abstract static class ResourceFilterImpl.PathMatcher
      extends Object
      implements ResourceFilterImpl.Matcher

  Matches the path of a `resource node` against a `path` string.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathMatcher(String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.Matcher

      `getParentPatternStyle, matches`

- - ### Field Detail

    - #### path

          protected final String path

  - ### Constructor Detail

    - #### PathMatcher

          public PathMatcher(String path)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html